library("testthat")

points_for_all_tests(character(0))

test("the first three elements of k are correct", character(0), {
  expect_equal(k[1:3], c(0, 1, 2))
})

test("the first three elements of x are correct", character(0), {
  expect_equal(x[1:3], c(1.0000000, -0.3333333,  0.1111111), tolerance=1e-6, scale=1)
})

test("the first three elements of y are correct", character(0), {
  expect_equal(y[1:3], c(1, 3, 5))
})

test("the first three elements of z are correct", character(0), {
  expect_equal(z[1:3], c(1.00000000, -0.11111111, 0.02222222), tolerance=1e-6, scale=1)
})

test("res is approximately correct", character(0), {
  expect_equal(res, 3, tolerance=1, scale=1)
})
