library("testthat")

points_for_all_tests(character(0))

test("the first column of X is correct", character(0), {
  expect_equal(is.na(X[,1]), c(FALSE, FALSE, TRUE, FALSE, FALSE, FALSE, FALSE, FALSE, TRUE, FALSE))
})

test("n1 is in the correct range", character(0), {
  expect_true(n1 > 30 & n1 < 70)
})

test("n2 is in the correct range", character(0), {
  expect_true(n2 > 200 & n2 < 300)
})
