library("testthat")

points_for_all_tests(character(0))

test("the first column of A is correct", character(0), {
  expect_equal(A[,1], c(2, 4, 6, 8))
})

test("the first column of B is correct", character(0), {
  expect_equal(B[,1], c(1, 0, 0, 0))
})

test("the first column of C is correct", character(0), {
  expect_equal(C[,1], c(2, 4, 6, 8))
})

test("the first column of D is correct", character(0), {
  expect_equal(D[,1], c(20, 24, 32))
})

test("the first row of D2 is correct", character(0), {
  expect_equal(D2[1,], c(20, 3, 36, 3))
})

test("the first column of D3 is correct", character(0), {
  expect_equal(D3[,1], c(20, 24, 32, -4))
})

test("the first column of invD3 is correct", character(0), {
  expect_equal(invD3[,1], c(0.06686047, -0.04651163, -0.01937984, 0.16666667), tolerance=1e-6, scale=1)
})
